#include <iostream>
#include <iomanip>

using namespace std;

double zarada[20000];

int main()
{
    int N;
    double A[20000];
    double P[20000];
    double maxzarada = 0;
    cin >> N;
    for (int i = 0; i < N; i++)
    {
        cin >> A[i] >> P[i];
    }
    for (int i = 0; i < N; i++)
    {
        for (int j = 0; j < N; j++)
        {
            if (P[i] <= P[j])
            {
               zarada[i] += (P[i] * A[j]) / 100;
               if (zarada[i] >= maxzarada)
               {
                   maxzarada = zarada[i];
               }
            }
        }
    }
    cout << setprecision(12) << maxzarada;
}